Bug 1575012 - [abrt] notmuch: std::__replacement_assert(): notmuch killed by SIGABRT
Summary: [abrt] notmuch: std::__replacement_assert(): notmuch killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: notmuch
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0cbe6b562d2958ef2e676fd65d8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 14:15 UTC by 汪明衡
Modified: 2019-05-28 20:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:49:08 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (22.82 KB, text/plain)
2018-05-04 14:15 UTC, 汪明衡
no flags Details
File: cgroup (331 bytes, text/plain)
2018-05-04 14:15 UTC, 汪明衡
no flags Details
File: core_backtrace (4.49 KB, text/plain)
2018-05-04 14:15 UTC, 汪明衡
no flags Details
File: cpuinfo (1.39 KB, text/plain)
2018-05-04 14:15 UTC, 汪明衡
no flags Details
File: dso_list (2.67 KB, text/plain)
2018-05-04 14:15 UTC, 汪明衡
no flags Details
File: environ (3.83 KB, text/plain)
2018-05-04 14:15 UTC, 汪明衡
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-04 14:16 UTC, 汪明衡
no flags Details
File: maps (13.18 KB, text/plain)
2018-05-04 14:16 UTC, 汪明衡
no flags Details
File: mountinfo (4.17 KB, text/plain)
2018-05-04 14:16 UTC, 汪明衡
no flags Details
File: open_fds (744 bytes, text/plain)
2018-05-04 14:16 UTC, 汪明衡
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-05-04 14:16 UTC, 汪明衡
no flags Details

Description 汪明衡 2018-05-04 14:15:03 UTC
Description of problem:
Worked well in Fedora 27. Crashes in Fedora 28.

Version-Release number of selected component:
notmuch-0.25-6.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/notmuch new
crash_function: std::__replacement_assert
executable:     /usr/bin/notmuch
journald_cursor: s=56e2032653ab41a595b4d84d21865877;i=119818;b=1b7271e32fa745b1b699f4261c654ace;m=9b1750f9c;t=56b61c497b855;x=4d69bf75bcc83208
kernel:         4.16.5-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 std::__replacement_assert at /usr/include/c++/8/x86_64-redhat-linux/bits/c++config.h:2389
 #3 std::vector<Xapian::Internal::MSetItem, std::allocator<Xapian::Internal::MSetItem> >::front at /usr/include/c++/8/bits/char_traits.h:350
 #4 MultiMatch::get_mset(unsigned int, unsigned int, unsigned int, Xapian::MSet&, Xapian::Weight::Internal&, Xapian::MatchDecider const*, Xapian::KeyMaker const*) at matcher/multimatch.cc:755
 #5 Xapian::Enquire::Internal::get_mset(unsigned int, unsigned int, unsigned int, Xapian::RSet const*, Xapian::MatchDecider const*) const at api/omenquire.cc:580
 #6 Xapian::Enquire::get_mset at api/omenquire.cc:940
 #7 _notmuch_query_count_documents at lib/query.cc:657
 #8 notmuch_query_count_messages at lib/query.cc:603
 #9 _notmuch_message_delete at lib/message.cc:1132
 #10 notmuch_database_remove_message at lib/database.cc:2637
 #11 remove_filename at notmuch-new.c:829

Comment 1 汪明衡 2018-05-04 14:15:20 UTC
Created attachment 1431393 [details]
File: backtrace

Comment 2 汪明衡 2018-05-04 14:15:27 UTC
Created attachment 1431394 [details]
File: cgroup

Comment 3 汪明衡 2018-05-04 14:15:32 UTC
Created attachment 1431395 [details]
File: core_backtrace

Comment 4 汪明衡 2018-05-04 14:15:42 UTC
Created attachment 1431396 [details]
File: cpuinfo

Comment 5 汪明衡 2018-05-04 14:15:46 UTC
Created attachment 1431397 [details]
File: dso_list

Comment 6 汪明衡 2018-05-04 14:15:54 UTC
Created attachment 1431398 [details]
File: environ

Comment 7 汪明衡 2018-05-04 14:16:07 UTC
Created attachment 1431399 [details]
File: limits

Comment 8 汪明衡 2018-05-04 14:16:17 UTC
Created attachment 1431400 [details]
File: maps

Comment 9 汪明衡 2018-05-04 14:16:26 UTC
Created attachment 1431401 [details]
File: mountinfo

Comment 10 汪明衡 2018-05-04 14:16:32 UTC
Created attachment 1431402 [details]
File: open_fds

Comment 11 汪明衡 2018-05-04 14:16:43 UTC
Created attachment 1431403 [details]
File: proc_pid_status

Comment 12 Nicholas Sielicki 2018-07-01 22:44:45 UTC
I believe this is a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1546162 and https://bugzilla.redhat.com/show_bug.cgi?id=1582561, which are now fixed by the avaialbility of 0.27-1.fc{27,28,29} in the Fedora repositories.

Comment 13 Ben Cotton 2019-05-02 21:30:11 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2019-05-28 20:49:08 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.